Skip to content

List the Universal Directory account user access methods

Request

OPA roles:
  • end_user

Lists the user access methods for a Universal Directory account based on the security policies

Security
bearerAuth
Path
team_namestringrequired

The name of your team

okta_universal_directory_account_idstringrequired

The UUID of a Universal Directory account

Query
privilege_typestring

Filters user access methods to only return those with privilege matching the specified privilege type

GET
/v1/teams/{team_name}/okta_universal_directory_accounts/{okta_universal_directory_account_id}/user_access_methods
curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/okta_universal_directory_accounts/{okta_universal_directory_account_id}/user_access_methods?privilege_type=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
listArray of objects(UserAccessMethod)required
Response
{ "list": [ {} ] }